Bug 12890 - rpc_pipe_client memory leaks due to long term memory context passed to rpc_pipe_open_interface()
rpc_pipe_client memory leaks due to long term memory context passed to rpc_pi...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.7.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 09:28 UTC by Stefan Metzmacher
Modified: 2017-07-14 08:18 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-7-test (4.09 KB, patch)
2017-07-11 15:45 UTC, Stefan Metzmacher
jra: review+
Details
Patch for v4-6-test (4.09 KB, patch)
2017-07-11 15:45 UTC, Stefan Metzmacher
jra: review+
Details
Patch for v4-5-test (4.09 KB, patch)
2017-07-11 15:45 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-07-10 09:28:37 UTC
Several functions in source3/smbd/lanman.c pass 'conn' as memory context to rpc_pipe_open_interface(), but the result of rpc_pipe_open_interface() is only
use temporary.

We should consistently use memory from 'talloc_tos()' for this
and a avoid memory leaks.
Comment 1 Stefan Metzmacher 2017-07-11 15:45:01 UTC
Created attachment 13355 [details]
Patch for v4-7-test
Comment 2 Stefan Metzmacher 2017-07-11 15:45:25 UTC
Created attachment 13356 [details]
Patch for v4-6-test
Comment 3 Stefan Metzmacher 2017-07-11 15:45:48 UTC
Created attachment 13357 [details]
Patch for v4-5-test
Comment 4 Jeremy Allison 2017-07-12 22:27:22 UTC
Re-assigning to Karolin for inclusion in 4.7.0, 4.6.next, 4.5.next.
Comment 5 Stefan Metzmacher 2017-07-13 05:25:33 UTC
Pushed to autobuild-v4-{5,6,7}-test
Comment 6 Stefan Metzmacher 2017-07-14 08:18:30 UTC
(In reply to Stefan Metzmacher from comment #5)

Pushed to v4-7-test